Skip to main content
GET
lists reason codes

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

reason_type
string

The type of reason for canceling or pausing a subscription

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON - A list array with a data property that contains an array of up to limit reason_codes, starting after the specified starting_after Reason Code (or ending before the specified ending_before Reason Code). Each entry in the array is a full Reason code object. If no more Reasons Codes are available, the resulting array will be empty. This request should never throw an error.

A list of Reaso codes objects matching the query. Also:

  • “total_count”: Integer count of the number of CancelReason in the returned list.

  • “url”: The query string provided in the request.

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next ReasonCode object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous ReasonCode object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"ReasonCode\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\", \"reason_type\": \"cancel\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"600\", \"description\": \"Vacation Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"601\", \"description\": \"Seasonal Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"602\", \"description\": \"Medical Hold\", \"reason_type\": \"pause\" }, { \"object\": \"ReasonCode\", \"reason_code\": \"603\", \"description\": \"Life Event\", \"reason_type\": \"pause\" } ], \"total_count\": 21, \"url\": \"/reason_codes\" }"